Bug 158261 - xfig crashed when clicking "PenColor" or "FillColor" button. buffer overflow detected.
xfig crashed when clicking "PenColor" or "FillColor" button. buffer overflow ...
Status: CLOSED DUPLICATE of bug 158088
Product: Fedora
Classification: Fedora
Component: xfig (Show other bugs)
4
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-19 21:34 EDT by Yusuf Ma
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-20 08:21:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Yusuf Ma 2005-05-19 21:34:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Fedora/1.0.4-2 Firefox/1.0.4

Description of problem:
Run xfig program and choose any drawing tool, then click "PenColor" or "FillColor" button on the bottom of the window. Xfig exits unexpectedly. "buffer overflow detected" message is shown in terminal.

Version-Release number of selected component (if applicable):
xfig-3.2.4-10

How reproducible:
Always

Steps to Reproduce:
1. Run xfig.
2. Choose any drawing tool.
3. Click on "PenColor" or "FillColor"
  

Actual Results:  xfig exits.

Expected Results:  I should be able to choose my Pen Color or Fill Color.

Additional info:

debug information:

Warning: Missing charsets in String to FontSet conversion
Warning: Missing charsets in String to FontSet conversion
Warning: Missing charsets in String to FontSet conversion
*** buffer overflow detected ***: xfig terminated
======= Backtrace: =========
/lib/libc.so.6(__chk_fail+0x41)[0x2b3345]
/lib/libc.so.6(__vsprintf_chk+0x0)[0x2b2c10]
/lib/libc.so.6(_IO_default_xsputn+0x97)[0x235918]
/lib/libc.so.6(_IO_vfprintf+0xd92)[0x210b04]
/lib/libc.so.6(__vsprintf_chk+0xa1)[0x2b2cb1]
/lib/libc.so.6(__sprintf_chk+0x30)[0x2b2c04]
xfig[0x80c1fed]
xfig[0x80c60dc]
xfig[0x80e6c6e]
/usr/X11R6/lib/libXt.so.6(XtDispatchEventToWidget+0x5b2)[0x4f9c481]
/usr/X11R6/lib/libXt.so.6[0x4f9cb9c]
/usr/X11R6/lib/libXt.so.6(XtDispatchEvent+0xe9)[0x4f9cd6a]
xfig[0x808e316]
/lib/libc.so.6(__libc_start_main+0xc6)[0x1e9de6]
xfig[0x804e011]
======= Memory map: ========
00101000-001d1000 r-xp 00000000 03:01 6358125    /usr/X11R6/lib/libX11.so.6.2
001d1000-001d5000 rwxp 000cf000 03:01 6358125    /usr/X11R6/lib/libX11.so.6.2
001d5000-002f9000 r-xp 00000000 03:01 10509316   /lib/libc-2.3.5.so
002f9000-002fb000 r-xp 00124000 03:01 10509316   /lib/libc-2.3.5.so
002fb000-002fd000 rwxp 00126000 03:01 10509316   /lib/libc-2.3.5.so
002fd000-002ff000 rwxp 002fd000 00:00 0
002ff000-00308000 r-xp 00000000 03:01 6548710    /usr/X11R6/lib/X11/locale/lib/common/xomGeneric.so.2
00308000-00309000 rwxp 00008000 03:01 6548710    /usr/X11R6/lib/X11/locale/lib/common/xomGeneric.so.2
00393000-003b0000 r-xp 00000000 03:01 6548703    /usr/X11R6/lib/X11/locale/lib/common/ximcp.so.2
003b0000-003b2000 rwxp 0001c000 03:01 6548703    /usr/X11R6/lib/X11/locale/lib/common/ximcp.so.2
003d1000-003d2000 r-xp 00000000 03:01 6549997    /usr/X11R6/lib/X11/locale/lib/common/xlcUTF8Load.so.2
003d2000-003d3000 rwxp 00000000 03:01 6549997    /usr/X11R6/lib/X11/locale/lib/common/xlcUTF8Load.so.2
0047e000-004a1000 r-xp 00000000 03:01 6359367    /usr/lib/libpng12.so.0.1.2.8
004a1000-004a2000 rwxp 00023000 03:01 6359367    /usr/lib/libpng12.so.0.1.2.8
0078e000-007a8000 r-xp 00000000 03:01 10509299   /lib/ld-2.3.5.so
007a8000-007a9000 r-xp 00019000 03:01 10509299   /lib/ld-2.3.5.so
007a9000-007aa000 rwxp 0001a000 03:01 10509299   /lib/ld-2.3.5.so
0082c000-0082d000 r-xp 0082c000 00:00 0
008d8000-008fa000 r-xp 00000000 03:01 10509317   /lib/libm-2.3.5.so
008fa000-008fb000 r-xp 00021000 03:01 10509317   /lib/libm-2.3.5.so
008fb000-008fc000 rwxp 00022000 03:01 10509317   /lib/libm-2.3.5.so
008fe000-00900000 r-xp 00000000 03:01 10509318   /lib/libdl-2.3.5.so
00900000-00901000 r-xp 00001000 03:01 10509318   /lib/libdl-2.3.5.so
00901000-00902000 rwxp 00002000 03:01 10509318   /lib/libdl-2.3.5.so
00904000-00916000 r-xp 00000000 03:01 6353794    /usr/lib/libz.so.1.2.2.2
00916000-00917000 rwxp 00011000 03:01 6353794    /usr/lib/libz.so.1.2.2.2
00919000-00927000 r-xp 00000000 03:01 6359158    /usr/X11R6/lib/libXext.so.6.4
00927000-00928000 rwxp 0000e000 03:01 6359158    /usr/X11R6/lib/libXext.so.6.4
0092a000-00931000 r-xp 00000000 03:01 6359619    /usr/X11R6/lib/libXrender.so.1.2.2
00931000-00932000 rwxp 00007000 03:01 6359619    /usr/X11R6/lib/libXrender.so.1.2.2
00954000-0095d000 r-xp 00000000 03:01 6367653    /usr/X11R6/lib/libXcursor.so.1.0.2
0095d000-0095e000 rwxp 00008000 03:01 6367653    /usr/X11R6/lib/libXcursor.so.1.0.2
00960000-00977000 r-xp 00000000 03:01 6353793    /usr/X11R6/lib/libICE.so.6.3
00977000-00978000 rwxp 00016000 03:01 6353793    /usr/X11R6/lib/libICE.so.6.3
00978000-0097a000 rwxp 00978000 00:00 0
0097c000-00984000 r-xp 00000000 03:01 6360034    /usr/X11R6/lib/libSM.so.6.0
00984000-00985000 rwxp 00007000 03:01 6360034    /usr/X11R6/lib/libSM.so.6.0
00987000-0098e000 r-xp 00000000 03:01 6360722    /usr/X11R6/lib/libXi.so.6.0
0098e000-0098f000 rwxp 00006000 03:01 6360722    /usr/X11R6/lib/libXi.so.6.0
009c2000-009cb000 r-xp 00000000 03:01 10508352   /lib/libgcc_s-4.0.0-20050516.so.1
009cb000-009cc000 rwxp 00009000 03:01 10508352   /lib/libgcc_s-4.0.0-20050516.so.1
009e7000-009fd000 r-xp 00000000 03:01 6357877    /usr/X11R6/lib/libXmu.so.6.2
009fd000-009fe000 rwxp 00015000 03:01 6357877    /usr/X11R6/lib/libXmu.so.6.2
00bb6000-00bcb000 r-xp 00000000 03:01 6357856    /usr/X11R6/lib/libXpm.so.4.11
Aborted
Comment 1 Ngo Than 2005-05-20 08:21:25 EDT
i

*** This bug has been marked as a duplicate of 158088 ***

Note You need to log in before you can comment on or make changes to this bug.